com.io7m.jcanephora.core.api

## Interface JCGLInterfaceGL33Type

-     public interface JCGLInterfaceGL33Type

  The interface exposed by OpenGL 3.3

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `JCGLArrayBuffersType` | `getArrayBuffers()`
    `JCGLArrayObjectsType` | `getArrayObjects()`
    `JCGLBlendingType` | `getBlending()`
    `JCGLClearType` | `getClear()`
    `JCGLColorBufferMaskingType` | `getColorBufferMasking()`
    `JCGLCullingType` | `getCulling()`
    `JCGLDepthBuffersType` | `getDepthBuffers()`
    `JCGLDrawType` | `getDraw()`
    `JCGLFramebuffersType` | `getFramebuffers()`
    `JCGLIndexBuffersType` | `getIndexBuffers()`
    `JCGLPolygonModesType` | `getPolygonModes()`
    `JCGLScissorType` | `getScissor()`
    `JCGLShadersType` | `getShaders()`
    `JCGLStencilBuffersType` | `getStencilBuffers()`
    `JCGLTexturesType` | `getTextures()`
    `JCGLTimersType` | `getTimers()`
    `JCGLViewportsType` | `getViewports()`

- - ### Method Detail

    - #### getArrayBuffers

          JCGLArrayBuffersType getArrayBuffers()

      Returns:
        The array buffers interface

    - #### getArrayObjects

          JCGLArrayObjectsType getArrayObjects()

      Returns:
        The array objects interface

    - #### getBlending

          JCGLBlendingType getBlending()

      Returns:
        The blending interface

    - #### getDepthBuffers

          JCGLDepthBuffersType getDepthBuffers()

      Returns:
        The depth buffers interface

    - #### getShaders

          JCGLShadersType getShaders()

      Returns:
        The shaders interface

    - #### getIndexBuffers

          JCGLIndexBuffersType getIndexBuffers()

      Returns:
        The index buffers interface

    - #### getDraw

          JCGLDrawType getDraw()

      Returns:
        The drawing interface

    - #### getClear

          JCGLClearType getClear()

      Returns:
        The framebuffer clearing interface

    - #### getTextures

          JCGLTexturesType getTextures()

      Returns:
        The texture interface

    - #### getFramebuffers

          JCGLFramebuffersType getFramebuffers()

      Returns:
        The framebuffers interface

    - #### getPolygonModes

          JCGLPolygonModesType getPolygonModes()

      Returns:
        The polygon modes interface

    - #### getCulling

          JCGLCullingType getCulling()

      Returns:
        The polygon culling interface

    - #### getColorBufferMasking

          JCGLColorBufferMaskingType getColorBufferMasking()

      Returns:
        The color buffer masking interface

    - #### getViewports

          JCGLViewportsType getViewports()

      Returns:
        The viewports interface

    - #### getScissor

          JCGLScissorType getScissor()

      Returns:
        The scissor interface

    - #### getStencilBuffers

          JCGLStencilBuffersType getStencilBuffers()

      Returns:
        The stencil buffers interface

    - #### getTimers

          JCGLTimersType getTimers()

      Returns:
        The timers interface

Copyright © 2016 <code@io7m.com> http://io7m.com